/*
    DS SMITH THEME ADJUSTMENTS FOR PIPECHAIN
    Main color: #ff7900 - Pumpkin Orange
    Secondary color: #4D4D4D
    Site picker etc.: #E2A45C
    linear-gradient(to right, #CD3700, #E6B426 100%)
*/


/* Specialare för anpassning av meny-höjd */

.pch-main-navbar {
	padding-bottom: 0px;
	height: 85px;
	margin-top: -30px;
	margin-bottom: 10px;
}

.navbar-default .navbar-nav>li>a {
	color: #ff7900;
}

.dropdown-menu>li>a {
	color: #ff7900;
	white-space: nowrap;
}

.pch-main-navbar .navbar-brand > img {
	margin-top: -4px;
	margin-left: -14px;
}

.pch-login-view .pch-main-navbar .navbar-brand > img {
	margin-top: 10px;
}

/* Modals and panels with custom color */

.panel,
.alert {
}

.pch-grid-ctrl-top-panel .table-responsive,
.pch-grid-column-head {
}

.panel-primary > .panel-heading,
.modal-header {
    background-color: #ff7900;
}

.panel-primary {
    border-color: #ff7900;
}

.panel-primary > .panel-body,
.panel-primary > .modal-body {
    border-color: #ff7900;
}


.panel-primary > .panel-heading,
.panel-primary > .modal-header {
	background-image: linear-gradient(to right, #CD3700, #E6B426 100%);
	background-repeat: repeat-x;
	filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#ffae2205', endColorstr='#ff951d04', GradientType=0);
}

.panel .pch-grid thead tr th:not(.dyn-col) {
	/* box-shadow: inset 1px 0 0 #fff, inset 0 0 0 transparent; */
	background-color: #E2A45C;
	color: #fff;
}

.pch-grid-column-head, .pch-view-child-grid .pch-grid-column-head {
	background-color: #E2A45C;
	color: #fff;
}

.pch-panel-secondary {
	border-color: #4D4D4D;
}

.pch-panel-secondary > .panel-heading, .pch-panel-secondary > .modal-header {
	background-color: #4D4D4D;
	border-color: #4D4D4D;
}

.panel-footer {
	background-color: transparent;
	border-top: none;
}

.pch-grp-panel .form-group label {
	color: #4D4D4D;
}

/* Various details that need adjustments. */

.detailList-detail {
	border: 3px solid #4D4D4D;
	background-color: transparent;
}

thead .scwWeek {
	background-color: #4D4D4D;
}

.pch-grid-column-head {
	background-color: #E2A45C;
}

.pch-grp-panel .row > .form-group > label {
	overflow: hidden;
}

.panel-footer .controls {
	margin-bottom: 6px;
}

.USVSpeedBoard .pch-grp-panel .pch-speedboard-action-panel .row .form-group > label {
	color: #4D4D4D;
}

/* Button Adjustments */

.btn,
.btn-sm,
.btn-group-sm > .btn {
}

.btn-default,
.btn-primary,
.btn-success,
.btn-info,
.btn-warning,
.btn-danger {
	box-shadow: none;
}

.btn-default {
	background-image: none;
	text-shadow: none;
	color: #fff;
	background-color: #ff7900;
	border-color: #ccc;
}


.input-group .form-control:last-child, 
.input-group-addon:last-child, 
.input-group-btn:last-child > .btn,
.input-group-btn:last-child > .btn-group > .btn,
.input-group-btn:last-child >.dropdown-toggle,
.input-group-btn:first-child > .btn:not(:first-child),
.input-group-btn:first-child > .btn-group:not(:first-child) > .btn {
}

/* Custom sub panels. */ 

div.pch-card {
	border: 1px solid #4D4D4D !important;
}

div.pch-card-hd,
div.pch-card-hd:not(.bg-danger):not(.bg-warning):not(.bg-info):not(.bg-success) {
	background-color: #4D4D4D;
    border-top: none !important;
    box-shadow: none;
}

.panel .pch-grid thead tr th:not(.dyn-col) {
	background: #4D4D4D;
	text-shadow: none;
}

.pch-card-lbl-normal {
	color: #4D4D4D;
}

.table-bordered {
	border-top-color: #4D4D4D;
}

.table-bordered {
	border: 1px solid #ddd;
}

.pch-grid > thead > tr > th {
	border: 1px solid #ddd;
	border-top-color: 1px solid #ddd;
}

.pch-grid-column-head, 
.pch-view-child-grid .pch-grid-column-head {
	background-color: #E2A45C;
	color: #fff;
	border-top-color: 1px solid #ddd;
}

thead {
	border-top-color: 1px solid #ddd;
	border-right-color: 1px solid #ddd;
	border-bottom-color: 1px solid #ddd;
	border-left-color: 1px solid #ddd;
}

tr {
	border-top-color: 1px solid #ddd;
}

/* Custom login background image */

.pch-login-view {
    background-image: url(../custom/ds-smith-background.jpg);
}
